package com.sqx.modules.app.service;

import com.sqx.modules.app.entity.InviteAchievement;
import com.baomidou.mybatisplus.extension.service.IService;

/**
* @author Administrator
* @description 针对表【invite_achievement】的数据库操作Service
* @createDate 2024-12-30 13:26:18
*/
public interface InviteAchievementService extends IService<InviteAchievement> {

    int countByUserId(Long userId);

    InviteAchievement getByUserId(Long userId);

    int incrCount(Integer id, int i);

    boolean insertNotExists(InviteAchievement inviteAchievement);

    int countBySourceUserId(Long userId);

    int countNum(Long userId, Integer signCount);

}
